org.modeshape.jcr.query.model

## Class Relike

- java.lang.Object
- - org.modeshape.jcr.query.model.Relike

- All Implemented Interfaces:
    Serializable, Constraint, Relike, LanguageObject, Visitable

      @Immutable
      public class Relike
      extends Object
      implements Relike, Constraint

  A constraint that evaluates to true when the reverse like operation evaluates to true.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Relike(StaticOperand operand1, PropertyValue operand2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `StaticOperand` | `getOperand1()`
    `PropertyValue` | `getOperand2()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Relike

          public Relike(StaticOperand operand1,
                PropertyValue operand2)

  - ### Method Detail

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

    - #### getOperand1

          public StaticOperand getOperand1()

      Specified by:
        `getOperand1` in interface `Relike`

    - #### getOperand2

          public PropertyValue getOperand2()

      Specified by:
        `getOperand2` in interface `Relike`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.